Package ru.bitel.bgbilling.plugins.edo.common.bean

# Class EdoDocumentType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.edo.common.bean.EdoDocumentType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class EdoDocumentType extends IdTitle
Конкретный документ("тип") для выгрузки/формирования xml

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `DEFAULT_DOCUMENT_CLASS_NAME`
  имя класса, которое характеризует "документ по умолчанию", конфиг которого применяется ко всем документам
  `static String`
  `DEFAULT_DOCUMENT_TITLE`
  `static Object[][]`
  `STATIC_FIELDS`
  Фиксированные поля нужные потенциально везде, всё остальное будет в доп.конфиге [Имя поля, обязательность, камент]

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdoDocumentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClazz()`
  `String`
  `getConfig()`
  `List<Integer>`
  `getSignatoryIds()`
  `boolean`
  `isDefaultDocument()`
  `void`
  `setClazz(String clazz)`
  `void`
  `setConfig(String config)`
  `void`
  `setSignatoryIds(List<Integer> signatoryIds)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### DEFAULT_DOCUMENT_CLASS_NAME

    public static String DEFAULT_DOCUMENT_CLASS_NAME
    имя класса, которое характеризует "документ по умолчанию", конфиг которого применяется ко всем документам

  - ### DEFAULT_DOCUMENT_TITLE

    public static String DEFAULT_DOCUMENT_TITLE

  - ### STATIC_FIELDS

    public static Object[][] STATIC_FIELDS
    Фиксированные поля нужные потенциально везде, всё остальное будет в доп.конфиге [Имя поля, обязательность, камент]

- ## Constructor Details

  - ### EdoDocumentType

    public EdoDocumentType()

- ## Method Details

  - ### getClazz

    public String getClazz()

  - ### setClazz

    public void setClazz(String clazz)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getSignatoryIds

    public List<Integer> getSignatoryIds()

  - ### setSignatoryIds

    public void setSignatoryIds(List<Integer> signatoryIds)

  - ### isDefaultDocument

    public boolean isDefaultDocument()